<template>
  <div class="content-block">
    <div class="container">
      <div class="margin-top-50"></div>
      <div class="row">
        <div class="columns twelve" style="min-height: 100vh">
          <div class="content">
            <component v-if="!userBlocked"
                       :is="currentComponent"
                       ref="activeLoan"
                       @change="changeSum">
            </component>
            <user-blocked v-if="userBlocked"/>
          </div>
        </div>
<!--        <component :is="currentRate"></component>-->
      </div>
    </div>
  </div>
</template>

<script>
  import ActiveLoan from './ActiveLoan/index'
  import NewLoan from './NewLoan'
  import ErrorHandleMixin from '@/mixins/ErrorHandleMixin'
  import UserBlocked from '@/components/User/UserBlocked'
  import Forgiveness from './Forgiveness'

export default {
    name: 'MyLoanView',
    components: {
      UserBlocked
    },
    data () {
      return {
        sum: 0
      }
    },
    computed: {
        userBlocked () {
            return this.$user.blocked && this.$posServices?.status !== 6 && this.$pdl?.status !== 6
        },
      currentComponent () {
          if (this.$pdl.isAmnesty2019 || this.$pdl.supplementary.amnesty2019) {
            return Forgiveness;
          }

          return this.$pdl.id ? ActiveLoan : NewLoan;
      },
      // currentRate () {
      //   if (this.sum !== 0 && this.sum >= 30000) {
      //     return PersonalRate;
      //   }
      //   if (this.$pdl.sumLeft !== undefined) {
      //     return this.$pdl.type === 8 ? PersonalRate : PersonalStakeBlock
      //   }
      //   return PersonalStakeBlock;
      // }
    },
    mixins: [
      ErrorHandleMixin
    ],
    methods: {
      changeSum (sum) {
        this.sum = sum
      }
    }
  }
</script>
